<div id="reportHeader">
<pre>

<%
def now = new Date().format('yyyy-MM-dd_HH.mm.ss')
new File("./hq-engine/hq-server/webapps/ROOT/hqu/emi-snapshot/public/snapshots/snapshot_" + now + ".txt").withWriter { out ->

out.println "-- SAS Environment Snapshot Report --"
out.println reportTime
out.println userName + "@" + fqdn

out.println "\n-- HQ Load --"
out.println l.numPlatforms + ":" + numPlatforms
out.println l.numCpus + ":" + numCpus
out.println l.numAgents + ":" + numAgents
out.println l.numActiveAgents + ":" + numActiveAgents
out.println l.numServers + ":" + numServers
out.println l.numServices + ":" + numServices
out.println l.numApplications + ":" + numApplications
out.println l.numRoles + ":" + numRoles
out.println l.numUsers + ":" + numUsers
out.println l.numAlertDefs + ":" + numAlertDefs
out.println l.numResources + ":" + numResources
out.println l.numResourceTypes + ":" + numResourceTypes
out.println l.numGroups + ":" + numGroups
out.println l.numEscalations + ":" + numEscalations
out.println l.numActiveEscalations + ":" + numActiveEscalations

out.println "\n-- HQ Process --"
out.println "- Version: " + hqVersion
out.println "- Schema: " + schemaVersion
out.println "- ID: " + guid
out.println "- Command Line: " + cmdLine
out.println "- " + l.pid + ":" + pid
out.println "- " + l.procOpenFds + ":" + procOpenFds
out.println "- " + l.procStartTime + ":" + procStartTime
out.println "- " + l.procMemSize + ":" + procMemSize
out.println "- " + l.procMemRes + ":" + procMemRes
out.println "- " + l.procMemShare + ":" + procMemShare
out.println "- " + l.procCpu + ":" + procCpu
out.println "- " + l.numCpu + ":" + numCpu

out.println "\n-- Base System Stats --"

out.println "\nSystem Memory:"
out.println "- " + l.total + ":" + totalMem
out.println "- " + l.used + ":" + usedMem
out.println "- " + l.free + ":" + freeMem

out.println "\nSystem Swap:"
out.println "- " + l.total + ":" + totalSwap
out.println "- " + l.used + ":" + usedSwap
out.println "- " + l.free + ":" + freeSwap

out.println "\n-- Plugin Summary --\n"

out.println "Plugin Name".padRight(50) + "Version".padRight(50)
out.println "-----------".padRight(50) + "-------".padRight(50)
for ( data in pluginData ) {
	out.println data.name.padRight(50) + (data.version+"").padRight(15)
}

out.println "\n-- Environment Variables --\n"
if ( procEnv.equals('unknown') ) {
	out.println "- Cannot retrieve environment variables..."
}
else {
	for (p in procEnv.entrySet().sort {a,b->a.key <=> b.key}) {
		out.println "- " + p.key + "=" + p.value
	}
}

out.println "\n-- Total Inventory Summary --\n"

out.println "Resource Type".padRight(100) + "Total".padRight(15)
out.println "------------".padRight(100) + "----".padRight(15)
for (data in inventoryData.sort {a,b->a.name.toLowerCase() <=> b.name.toLowerCase()}){
	out.println data.name.padRight(100) + (data.total+"").padRight(15)
}

out.println "\n-- Hardware Summary --\n"
for ( h in hardwareData ) {
	if ( h.platform ) {
		out.println h.platform.toUpperCase()
	}
	out.println dataFmt.sprintf([h.property, h.config] as Object[])
}
		
out.println "\n-- CPU Summary --\n"
for ( c in cpuData ) {
	if ( c.platform ) {
		out.println c.platform.toUpperCase() 
	}
	out.println dataFmt.sprintf([c.resource, c.value] as Object[]) 
}

out.println "\n-- System Summary --\n"
for ( s in systemData ) {
	if ( s.platform ) {
		out.println s.platform.toUpperCase() 
	}
	out.println dataFmt.sprintf([s.property, s.config] as Object[]) 
}

out.println "\n-- Network Summary --\n"
for ( n in networkData ) {
	if ( n.platform ) {
		out.println n.platform.toUpperCase() 
	}
	out.println dataFmt.sprintf([n.property, n.config] as Object[]) 
}

out.println "\n-- Network Interface Summary --\n"
for ( n in netintData ) {
	if ( n.platform ) {
		out.println n.platform.toUpperCase() 
	}
	out.println netIntDataFmt.sprintf([n.resource, n.brps, n.btps, n.prpm, n.ptpm] as Object[]) 
}

out.println "\n-- File Mount Summary --\n"
for ( f in filemountData ) {
	if ( f.platform ) {
		out.println f.platform.toUpperCase() 
	}
	out.println fileMountDataFmt.sprintf([f.resource, f.drpm, f.dwpm, f.tbf, f.up] as Object[]) 
}

out.println "\n-- NFS Mount Summary --\n"
for ( n in nfsmountData ) {
	if ( n.platform ) {
		out.println n.platform.toUpperCase() 
	}
	out.println nfsMountDataFmt.sprintf([n.resource, n.value] as Object[]) 
}

out.println "\n-- Server Summary --\n"
for ( p in serverData ) {
	if ( p.platform ) {
		out.println p.platform.toUpperCase()
	}
	out.println dataFmt.sprintf([p.server, p.count.toString()] as Object[]) 
}

out.println "\n-- Service Summary --\n"
for ( s in serviceData ) {
	if ( s.platform ) {
		out.println s.platform.toUpperCase() 
	}
	out.println dataFmt.sprintf([s.service, s.count.toString()] as Object[]) 
}

out.println "\n-- Log Summary --\n"
for ( l in logData ) {
	if ( l.platform ) {
		out.println l.platform.toUpperCase() 
	}
	out.println dataFmt.sprintf([l.server, l.location] as Object[]) 
}

out.println "\n-- Control History Summary (1 week) --\n"
for ( c in ctrlhisData ) {
	if ( c.platform ) {
		out.println c.platform.toUpperCase() 
	}
	out.println ctrlHisDataFmt.sprintf([c.resource, c.dateTime, c.status, c.action, c.args, c.message] as Object[]) 
}

out.println "\n-- Control Schedule Summary (all) --\n"
for ( c in ctrlschedData ) {
	if ( c.platform ) {
		out.println c.platform.toUpperCase() 
	}
	out.println ctrlSchedDataFmt.sprintf([c.resource, c.dateTime, c.action, c.scheduler] as Object[]) 
}

out.println "\n--- SAS Server Summary ---"

out.println "\n-- Connect Spawner --\n"
for ( s in connspawnData ) {
	if ( s.platform ) {
		out.println s.platform.toUpperCase() 
	}
	out.println dataFmt.sprintf([s.property, s.config] as Object[]) 
}

out.println "\n-- Metadata Summary --\n"
for ( s in metaData ) {
	if ( s.platform ) {
		out.println s.platform.toUpperCase() 
	}
	out.println dataFmt.sprintf([s.property, s.config] as Object[]) 
}

out.println "\n-- OLAP Sumamry --\n"
for ( s in olapData ) {
	if ( s.platform ) {
		out.println s.platform.toUpperCase() 
	}
	out.println dataFmt.sprintf([s.property, s.config] as Object[]) 
}

out.println "\n-- Object Spawner Summary --\n"
for ( s in objspawnData ) {
	if ( s.platform ) {
		out.println s.platform.toUpperCase() 
	}
	out.println dataFmt.sprintf([s.property, s.config] as Object[]) 
}

out.println "\n-- Stored Process Summary --\n"
for ( s in storedprocData ) {
	if ( s.platform ) {
		out.println s.platform.toUpperCase() 
	}
	out.println dataFmt.sprintf([s.property, s.config] as Object[]) 
}

out.println "\n-- Workspace Summary --\n"
for ( s in workspaceData ) {
	if ( s.platform ) {
		out.println s.platform.toUpperCase() 
	}
	out.println dataFmt.sprintf([s.property, s.config] as Object[]) 
}

out.println "\n-- Pooled Workspace Summary --\n"
for ( s in pooledworkspaceData ) {
	if ( s.platform ) {
		out.println s.platform.toUpperCase() 
	}
	out.println dataFmt.sprintf([s.property, s.config] as Object[]) 
}

out.println "\n-- OS Services Summary --\n"
for ( s in osservicesData ) {
	if ( s.platform ) {
		out.println s.platform.toUpperCase() 
	}
	out.println dataFmt.sprintf([s.property, s.config] as Object[]) 
}

out.println "\n-- ActiveMQ Summary --\n"
for ( s in activemqData ) {
	if ( s.platform ) {
		out.println s.platform.toUpperCase() 
	}
	out.println dataFmt.sprintf([s.property, s.config] as Object[]) 
}

out.println "\n-- Apache Tomcat Summary --\n"
for ( s in tomcatData ) {
	if ( s.platform ) {
		out.println s.platform.toUpperCase() 
	}
	out.println dataFmt.sprintf([s.property, s.config] as Object[]) 
}

out.println "\n-- tc Runtime Summary --\n"
for ( s in tcruntimeData ) {
	if ( s.platform ) {
		out.println s.platform.toUpperCase() 
	}
	out.println dataFmt.sprintf([s.property, s.config] as Object[]) 
}

out.println "\n-- SAS Site License Summary --\n"
for ( l in licenseData ) {
	if ( l.platform ) {
		out.println l.platform.toUpperCase() 
	}
	out.println dataFmt.sprintf([l.property, l.value.toString()] as Object[]) 
}

out.println "\n-- SAS Datamart Summary --\n"
for ( d in datamartData ) {
	if ( d.platform ) {
		out.println d.platform.toUpperCase() 
	}
	out.println dataFmt.sprintf([d.property, d.value.toString()] as Object[]) 
}

out.println "\n-- SAS Datamart ACM ETL Summary --\n"
for ( a in acmData ) {
	if ( a.platform ) {
		out.println a.platform.toUpperCase() 
	}
	out.println dataFmt.sprintf([a.property, a.value.toString()] as Object[]) 
}

out.println "\n-- SAS Datamart APM ETL Summary --\n"
for ( a in apmData ) {
	if ( a.platform ) {
		out.println a.platform.toUpperCase() 
	}
	out.println dataFmt.sprintf([a.property, a.value.toString()] as Object[]) 
}

if ( map.live.equals("true") ) {
	out.println "\n-- Df System Summary --\n"
	for ( d in dfData ) {
		if ( d.platform ) {
			out.println d.platform.toUpperCase() 
		}
		out.println dfDataFmt.sprintf([d.name, d.size.toString(), d.used.toString(), d.avail.toString(), d.usePerc, d.mount, d.type] as Object[]) 
	}

	out.println "\n-- Who System Summary --\n"
	for ( w in whoData ) {
		if ( w.platform ) {
			out.println w.platform.toUpperCase() 
		}
		out.println whoDataFmt.sprintf([w.user, w.time, w.device, w.host] as Object[]) 
	}

	out.println "\n-- System Top Output (100 lines) --\n"
	for ( t in topData ) {
		if ( t.platform ) {
			out.println t.platform.toUpperCase()
		}
	out.println topDataFmt.sprintf([t.cmd, t.pid.toString(), t.user, t.stime, t.size.toString(), t.rss.toString(), t.share.toString(), t.state, t.time, t.cpu] as Object[])
	}
}

if ( map.events.equals("true") ) {
	out.println "\n-- Event Summary (1 week) --\n"
	for ( e in eventData ) {
		if ( e.platform ) {
			out.println e.platform.toUpperCase() 
		}
		out.println eventDataFmt.sprintf([e.date, e.status, e.resource, e.subject, e.detail] as Object[]) 
	}
}

if ( map.alerts.equals("true") ) {
	out.println "\n-- Alert Summary (1 week) --\n"
	for ( a in alertData ) {
		if ( a.platform ) {
			out.println a.platform.toUpperCase() 
		}
		out.println eventDataFmt.sprintf([a.date, a.status, a.resource, a.subject, a.detail] as Object[]) 
	}
}

out.println "\n------------------------- END -------------------------\n"

}

%>

<script type="text/javascript">
var index = document.referrer
window.location=index;
</script>

</pre>
</div>
